require 'sinatra'

module Backdrop
  class App < Sinatra::Base
    get '/*' do
      file = File.join(
        Backdrop.configuration.output_dir,
        "#{params[:splat].first}.json"
      )
      if File.exist? file
        status 200
        File.read file
      else
        status 404
      end
    end
  end
end
